/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.binding.soap.dfault.axiom;

import org.apache.axiom.om.OMXMLParserWrapper;
import org.apache.axiom.soap.SOAPFactory;
import org.apache.axiom.soap.SOAPFault;
import org.apache.axiom.soap.SOAPFaultNode;
import org.apache.axiom.soap.SOAPProcessingException;
import org.apache.axiom.soap.impl.dom.soap11.SOAP11Factory;

/**
 * Work around for bug in super (as of version 1.2.5 snapshot), i.e. createSOAPFaultNode
 * methods throw an unsupported operation exception when
 * {@link SOAPFactory#getDefaultFaultEnvelope()} is invoked.
 * 
 * TODO: file an axiom bug report and then remove this once fixed
 */
public class SOAP11FactoryImpl extends SOAP11Factory {

    @Override
    public SOAPFaultNode createSOAPFaultNode(SOAPFault arg0, OMXMLParserWrapper arg1) {
        return null;
    }

    @Override
    public SOAPFaultNode createSOAPFaultNode(SOAPFault arg0) throws SOAPProcessingException {
        return null;
    }

}
