/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.binding.soap.dfault.util.jms;

import javax.jms.JMSException;
import javax.jms.QueueConnection;

import org.apache.commons.pool.BasePoolableObjectFactory;
import org.apache.commons.pool.PoolableObjectFactory;
import org.bluestemsoftware.specification.eoa.system.SystemContext;
import org.bluestemsoftware.specification.eoa.system.System.Log;

public class JMSSenderFactory extends BasePoolableObjectFactory implements PoolableObjectFactory  {
    private QueueConnection connection = null;

    public JMSSenderFactory(QueueConnection connection) {
        this.connection = connection;
    }

    /*
     * (non-Javadoc)
     * @see org.apache.commons.pool.BasePoolableObjectFactory#makeObject()
     */
    @Override
    public Object makeObject() throws JMSException {
        return new JMSSender(connection);
    }

    /*
     * (non-Javadoc)
     * @see org.apache.commons.pool.BasePoolableObjectFactory#destroyObject(java.lang.Object)
     */
    @Override
    public void destroyObject(Object object) {
        try {
            ((JMSSender)object).destroy();
        } catch (JMSException je) {
            Log log = SystemContext.getContext().getSystem().getLog(JMSSenderFactory.class);
            log.error(je.toString());
        }
    }
}
